Bug 858344 - [abrt] pidgin-2.10.6-3.fc18: sighandler: Process /usr/bin/pidgin was killed by signal 6 (SIGABRT)
[abrt] pidgin-2.10.6-3.fc18: sighandler: Process /usr/bin/pidgin was killed b...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
abrt_hash:549905101862f9b3044779bb988...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 13:52 EDT by Nathanael Noblet
Modified: 2014-05-18 22:30 EDT (History)
29 users (show)

See Also:
Fixed In Version: pidgin-2.10.9-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-17 09:06:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (9.09 KB, text/plain)
2012-09-18 13:52 EDT, Nathanael Noblet
no flags Details
File: environ (1.29 KB, text/plain)
2012-09-18 13:52 EDT, Nathanael Noblet
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-18 13:52 EDT, Nathanael Noblet
no flags Details
File: backtrace (71.48 KB, text/plain)
2012-09-18 13:52 EDT, Nathanael Noblet
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-18 13:52 EDT, Nathanael Noblet
no flags Details
File: maps (121.91 KB, text/plain)
2012-09-18 13:52 EDT, Nathanael Noblet
no flags Details
File: dso_list (44.92 KB, text/plain)
2012-09-18 13:52 EDT, Nathanael Noblet
no flags Details
File: var_log_messages (224 bytes, text/plain)
2012-09-18 13:53 EDT, Nathanael Noblet
no flags Details
File: open_fds (588 bytes, text/plain)
2012-09-18 13:53 EDT, Nathanael Noblet
no flags Details

  None (edit)
Description Nathanael Noblet 2012-09-18 13:52:37 EDT
Description of problem:
I just tried starting pidgin after installing it

Version-Release number of selected component:
pidgin-2.10.6-3.fc18

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11
backtrace_rating: 4
cmdline:        pidgin
crash_function: sighandler
kernel:         3.6.0-0.rc2.git2.1.fc18.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #3 sighandler at gtkmain.c
: #6 __pthread_mutex_lock at pthread_mutex_lock.c
: #7 _XLockMutex at locking.c
: #8 XrmQGetResource at Xrm.c
: #9 XGetDefault at GetDflt.c
: #10 get_boolean_default at cairo-xlib-screen.c
: #11 _cairo_xlib_init_screen_font_options at cairo-xlib-screen.c
: #12 _cairo_xlib_screen_get_font_options at cairo-xlib-screen.c
: #13 _cairo_xlib_surface_get_font_options at cairo-xlib-surface.c
: #14 *INT_cairo_surface_get_font_options at cairo-surface.c
Comment 1 Nathanael Noblet 2012-09-18 13:52:40 EDT
Created attachment 614070 [details]
File: core_backtrace
Comment 2 Nathanael Noblet 2012-09-18 13:52:43 EDT
Created attachment 614071 [details]
File: environ
Comment 3 Nathanael Noblet 2012-09-18 13:52:45 EDT
Created attachment 614072 [details]
File: limits
Comment 4 Nathanael Noblet 2012-09-18 13:52:48 EDT
Created attachment 614073 [details]
File: backtrace
Comment 5 Nathanael Noblet 2012-09-18 13:52:51 EDT
Created attachment 614074 [details]
File: cgroup
Comment 6 Nathanael Noblet 2012-09-18 13:52:56 EDT
Created attachment 614075 [details]
File: maps
Comment 7 Nathanael Noblet 2012-09-18 13:52:59 EDT
Created attachment 614076 [details]
File: dso_list
Comment 8 Nathanael Noblet 2012-09-18 13:53:01 EDT
Created attachment 614077 [details]
File: var_log_messages
Comment 9 Nathanael Noblet 2012-09-18 13:53:04 EDT
Created attachment 614078 [details]
File: open_fds
Comment 10 Aioanei Rares 2013-01-16 09:18:07 EST
Same on x86_64.
Comment 11 sly 2013-01-29 11:38:35 EST
started it for the first time

backtrace_rating: 4
Package: pidgin-2.10.6-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 12 Justin O'Brien 2013-02-02 16:27:58 EST
opened for the first time, crashed before I could add an account

backtrace_rating: 4
Package: pidgin-2.10.6-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 13 gaarulfo 2013-04-04 03:43:26 EDT
It just crashed after an upgrade fc17 => fc18

backtrace_rating: 4
cmdline:        /usr/bin/pidgin --session 10bcce8862000134121355000000016070016 --display :0
core_backtrace: 
crash_function: sighandler
executable:     /usr/bin/pidgin
kernel:         3.8.5-201.fc18.i686
package:        pidgin-2.10.7-2.fc18
reason:         Process /usr/bin/pidgin was killed by signal 6 (SIGABRT)
uid:            1000
ureports_counter: 1
Comment 14 rowan.windwhistler 2013-06-10 16:05:19 EDT
Simply by trying to run pidgin from a terminal after updating fedora's packages.

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        pidgin
core_backtrace: 
crash_function: sighandler
executable:     /usr/bin/pidgin
kernel:         3.6.10-4.fc18.i686
package:        pidgin-2.10.7-2.fc18
reason:         Process /usr/bin/pidgin was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 15 Mr. Meval 2013-07-14 21:46:14 EDT
Started Pidgin

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        pidgin
crash_function: sighandler
executable:     /usr/bin/pidgin
kernel:         3.9.9-201.fc18.x86_64
package:        pidgin-2.10.7-2.fc18
reason:         Process /usr/bin/pidgin was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            500
Comment 16 Fedora End Of Life 2013-12-21 03:53:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Cysioland 2013-12-23 17:10:59 EST
Still occurs on F20.
Comment 18 James Boyle 2013-12-26 09:50:06 EST
I just upgraded from F19 to F20 (Fedora 20).

F20 isn't EOL yet!

Please change the affected Fedora version to 20.

Thank you!
Comment 19 James Boyle 2014-02-10 11:30:44 EST
Another user experienced a similar problem:

The error occured when right-clicking "Quit" from the system tray icon.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        pidgin
crash_function: sighandler
executable:     /usr/bin/pidgin
kernel:         3.12.9-301.fc20.x86_64
package:        pidgin-2.10.9-1.fc20
reason:         pidgin killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Fedora Admin XMLRPC Client 2014-02-17 07:58:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2014-02-17 07:59:37 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.